% Supporting utilities for MATLAB Reservoir Simulation Toolbox (MRST).
%
% Files
%  ADI                   - ADI class: simple implementation of automatic differentiation for easy construction of jacobian matrices.
%  ROOTDIR               - Retrieve full path of Toolbox installation directory.
%  blockDiagIndex        - Compute subscript or linear index to nonzeros of block-diagonal matrix
%  buildmex              - Wrapper around MEX which abstracts away details of pathname generation.
%  cellFlux2faceFlux     - Transform cell-based flux field to face-based.
%  dinterpq1             - Compute derivative of piecewise linear interpolant.
%  dispif                - Produce textual output contingent upon predicate.
%  faceFlux2cellFlux     - Transform face-based flux field to cell-based.
%  faceFlux2cellVelocity - Transform face-based flux field to one constant velocity per cell.
%  findFilesSubfolders   - Find all files in a directory hierarchy
%  formatTimeRange       - Small utility which returns a human readable string from seconds.
%  geomspace             - Geometrically spaced vector.
%  getSortedCellNodes    - Construct n x 2 table of cell edges with edges oriented the same
%  initVariablesADI      - Initialize a set of automatic differentiation variables
%  invv                  - Compute inverse of sequence of square matrices using LAPACK.
%  mcolon                - Compute vector of consecutive indices from separate lower/upper bounds.
%  md5sum                - md5sum - Compute md5 check sum of all input arguments
%  md5sum_fallback       - Alternative implementation of md5sum for systems without C compiler
%  merge_options         - Override default control options.
%  mrstDebug             - Globally control default settings for MRST debugging information.
%  mrstModule            - Query or modify list of activated add-on MRST modules
%  mrstPath              - Establish and maintain mapping from module names to system directory paths
%  mrstVerbose           - Globally control default settings for MRST verbose information.
%  msgid                 - Construct Error/Warning message ID by prepending function name.
%  require               - Announce and enforce module dependency.
%  rldecode              - Decompress run length encoding of array A along dimension dim.
%  rlencode              - Compute run length encoding of array A along dimension dim.
%  ticif                 - Evaluate function TIC if input is true.
%  tocif                 - Evaluate function TOC if input is true.

%{
Copyright 2009, 2010, 2011, 2012, 2013 SINTEF ICT, Applied Mathematics.

This file is part of The MATLAB Reservoir Simulation Toolbox (MRST).

MRST is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

MRST is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with MRST.  If not, see <http://www.gnu.org/licenses/>.
%}
